Автор Тема: Установка Openfire  (Прочитано 368 раз)

Оффлайн chim

  • Начинающий
  • *
  • Сообщений: 4
Установка Openfire
« : 01.06.2024 11:48:50 »
Доброго времени суток! Alt Linux 10.2. Как установить Openfire если он требует java >1.11, а в дистрибутиве максимальная 1.8? Но самое интересное другое. Пытаюсь установить старую версию, которая требует версию 1.8 и она не ставится!
rpm -ivh openfire-4.7.5-1.noarch.rpm
ошибка: Неудовлетворенные зависимости:
        java >= 1:1.8.0 нужен для openfire-4.7.5-1.noarch
Проверяем установленную версию:
java -version
openjdk version "1.8.0_402"
OpenJDK Runtime Environment (build 1.8.0_402-b05)
OpenJDK 64-Bit Server VM (build 25.402-b05, mixed mode)
Почему не устанавливается?

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 32 303
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Re: Установка Openfire
« Ответ #1 : 01.06.2024 15:54:39 »
https://packages.altlinux.org/ru/sisyphus/srpms/openfire/

Цитировать
Danger alert: Пакет удалён из репозитория sisyphus
Удалён в задании: #274616
Пакет удалён: Aleksei Nikiforov
Дата удаления: 16 июня 2021 г.
Сообщение: unclosed_cves_in_openfire

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 19 962
    • Домашняя страница
    • Email
Re: Установка Openfire
« Ответ #2 : 01.06.2024 17:49:08 »
Есть Java 1.8, 11, 17, 21.
Андрей Черепанов (cas@)

Оффлайн chim

  • Начинающий
  • *
  • Сообщений: 4
Re: Установка Openfire
« Ответ #3 : 01.06.2024 23:54:14 »
Есть Java 1.8, 11, 17, 21.
Ну так я и показал что у меня установлена требуемая версия, но openfire всё же не ставится. Как будто не видит её

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 19 962
    • Домашняя страница
    • Email
Re: Установка Openfire
« Ответ #4 : 02.06.2024 15:27:53 »
Есть Java 1.8, 11, 17, 21.
Ну так я и показал что у меня установлена требуемая версия, но openfire всё же не ставится. Как будто не видит её
Потому что левая версия. И название провайда такое просит, которого в Альте нет.
Андрей Черепанов (cas@)

Оффлайн NickM

  • Завсегдатай
  • *
  • Сообщений: 907
Re: Установка Openfire
« Ответ #5 : 03.06.2024 08:29:27 »
Почему не устанавливается?
"Openfire" ищет провайд Java на 1, а  в "Alt" провайд Java на 0 (пару лет назад оставлял сообщение).

Можно попробовать поиграться с установкой проприетарной Java-софтины для наполнения ещё одного провайда, или собрать пакет самому, где внести изменения в Requires: java.